%global pkgname Log-Handler

Name:           perl-Log-Handler
Version:        0.82
Release:        2%{?dist}
Summary:        Log messages to several outputs
License:        GPL+ or Artistic
Url:            http://search.cpan.org/dist/Log-Handler
Source0:        http://www.cpan.org/modules/by-module/Log/%{pkgname}-%{version}.tar.gz
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Build) >= 0.360.0
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(UNIVERSAL)
#Tests only.
BuildRequires:  perl(Email::Date)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

%description
This module is a object oriented handler for logging, tracing and debugging. 
It is very easy to use and provides a simple interface for multiple output 
objects with lots of configuration parameters. You can easily filter the 
amount of logged information on a per-output base, define priorities, create 
patterns to format the messages and reload the complete logging machine.

%prep
%setup -qn %{pkgname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ChangeLog LICENCE README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.82-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec 10 2013 Christopher Meng <rpm@cicku.me> - 0.82-1
- Update to 0.82

* Sun Nov 03 2013 Christopher Meng <rpm@cicku.me> - 0.81-1
- Update to 0.81

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 0.78-3
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.78-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 17 2013 Christopher Meng <rpm@cicku.me> - 0.78-1
- Initial Package.
